<template>
  <div>
    <!-- <div>
      PARA SER UTILIZADO QUANDO NÃO TIVER ITENS AQUI
      <empty-message
        title="Cadastro de entidades"
        description="Cadastre as entidades para gerenciar os seus planos"
        classes="text-center"
      ></empty-message>
      <div class="row mt-2">
        <div class="col text-center">
          <a-button type="primary" @click="showModal">
            <a-icon type="plus" />Cadastrar novo
          </a-button>
        </div>
      </div>
    </div> -->

    <div>
      <div class="row">
        <div class="col">
          <div class="row">
            <div class="col">
              <h5>Planos</h5>
            </div>
            <div class="col-3 text-right">
              <a-button type="primary" @click="showModal">
                <a-icon type="plus" />Cadastrar novo
              </a-button>
            </div>
          </div>
          <hr />
          <div class="card border-0 shadow-sm mb-3">
            <a-collapse :bordered="true">
              <a-collapse-panel
                class="bg-white"
                :header="item.entitie_name"
                v-for="(item, key) in this.entities"
                :key="`'${key}'`"
              >
                <a-dropdown slot="extra">
                  <a
                    class="ant-dropdown-link"
                    @click="(e) => e.preventDefault()"
                  >
                    <a-icon type="ellipsis" class="h5" />
                  </a>
                  <a-menu slot="overlay">
                    <a-menu-item key="0">
                      <a-icon type="plus" /> Incluir item
                    </a-menu-item>
                    <a-menu-item key="1">
                      <a-icon type="delete" /> Excluir
                    </a-menu-item>
                  </a-menu>
                </a-dropdown>

                <a-collapse :bordered="true">
                  <a-collapse-panel
                    class="bg-white"
                    header="Objetivos Estratégicos"
                  >
                    <a-icon slot="extra" type="ellipsis" />
                    <a-collapse :bordered="true">
                      <a-collapse-panel
                        class="bg-white"
                        header="Fortalecer a proteção, promoção e recuperação da Saúde
                        Indígena."
                      >
                        <a-icon slot="extra" type="ellipsis" />
                        <a-collapse :bordered="true">
                          <a-collapse-panel class="bg-white" header="Metas">
                            <a-icon slot="extra" type="ellipsis" />

                            <a-collapse :bordered="true">
                              <a-collapse-panel
                                class="bg-white"
                                header="Pontos críticos"
                              >
                                <a-icon slot="extra" type="ellipsis" />
                              </a-collapse-panel>
                            </a-collapse>

                            <a-collapse :bordered="true">
                              <a-collapse-panel
                                class="bg-white"
                                header="Entregas intermediárias"
                              >
                                <a-icon slot="extra" type="ellipsis" />
                              </a-collapse-panel>
                            </a-collapse>

                            <a-collapse :bordered="true">
                              <a-collapse-panel
                                class="bg-white"
                                header="Atividades"
                              >
                                <a-icon slot="extra" type="ellipsis" />
                              </a-collapse-panel>
                            </a-collapse>

                            <a-collapse :bordered="true">
                              <a-collapse-panel
                                class="bg-white"
                                header="Situação da meta"
                              >
                                <a-icon slot="extra" type="ellipsis" />
                              </a-collapse-panel>
                            </a-collapse>
                          </a-collapse-panel>
                        </a-collapse>
                      </a-collapse-panel>
                    </a-collapse>
                  </a-collapse-panel>
                </a-collapse>
              </a-collapse-panel>
            </a-collapse>
          </div>
        </div>
      </div>
    </div>
    <a-modal
      title="Cadastrar entidade"
      :visible="visible"
      :confirm-loading="confirmLoading"
      @ok="handleOk"
      okText="Cadastrar"
      @cancel="handleCancel"
      cancelText="Cancelar"
    >
      <form>
        <div class="form-group row">
          <label class="col-3 col-form-label">Nome</label>
          <div class="col-9">
            <input type="text" class="form-control" v-model="entitieName" />
          </div>
        </div>
      </form>
    </a-modal>
  </div>
</template>

<script>
// import EmptyMessage from "@/components/generic-components/empty-message/empty-message";
export default {
  components: {
    // EmptyMessage,
  },
  data() {
    return {
      visible: false,
      confirmLoading: false,
      entitieName: "",
      entities: [
        {
          id: 1,
          entitie_name: "PNS - Plano Nacional de Saúde 2020-2023",
          entities: [
            {
              id: 1,
              entitie_name:
                "Promover a ampliação e a resolutividade das ações e serviços da atenção primária de forma integrada e planejada.",
            },
          ],
        },
      ],
    };
  },
  watch: {
    activeKey(key) {
      console.log(key);
    },
  },
  methods: {
    showModal() {
      this.visible = true;
    },
    handleOk() {
      this.confirmLoading = true;
      setTimeout(() => {
        this.visible = false;
        this.confirmLoading = false;
        this.entities.push(this.entitieName);
        this.entitieName = "";
      }, 500);
    },
    removeItem(value) {
      this.entities.splice(this.entities.indexOf(value), 1);
    },
    handleCancel() {
      console.log("Clicked cancel button");
      this.visible = false;
    },
  },
};
</script>
